GeographicLib 2.7

Loading...
Searching...
No Matches
Angle.hpp File Reference

Header for the GeographicLib::AngleT class. More...

`#include <string>`
`#include <GeographicLib/Math.hpp>`

Go to the source code of this file.

## Classes
class | GeographicLib::AngleT< T >
| An accurate representation of angles. More...

## Namespaces
namespace | GeographicLib
| Namespace for GeographicLib.

## Typedefs
using | GeographicLib::Angle = AngleT<Math::real>

## Detailed Description

Header for the GeographicLib::AngleT class.

The class provide an accurate representation of angle via 3 numbers, its sine and cosine, and the number of turns.

Copyright (c) Charles Karney (2024-2025) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file Angle.hpp.